#!/bin/bash
#
# Usage: letters_check_db.sh File [ConfigFile]
#
DB=${1?ERROR - Usage: letters_check_db.sh File [ConfigFile]}
if [[ ! -f ${DB} ]];
then
    echo ERROR: File not found: ${DB}
    exit 1
fi
KBSET_LC=${2:-${KBSET_LETTERS_CONFIG}}
EKBSET_LC=${KBSET_LC:-kbset_config.pl}
if [[ ! -f ${EKBSET_LC} ]];
then
    echo ERROR: KBSET letter configuration file not found: ${EKBSET_LC}
    exit 1
fi
SCRIPTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
EKBSET=${KBSET:-"$(dirname "${SCRIPTDIR}")"}
swipl -f ${EKBSET}/core/letters_load.pl \
      -s ${EKBSET_LC} \
      -g "batch(latexdb_to_pl('${DB}'))" \
      -t halt 2>&1 >/dev/null
echo "CHECKING DONE"
