#!/bin/bash
#
#
# Usage: letters_gen_html_bib.sh [ConfigFile]
#
KBSET_LC=${1:-${KBSET_LETTERS_CONFIG}}
EKBSET_LC=${KBSET_LC:-kbset_config.pl}
if [[ ! -f ${EKBSET_LC} ]];
then
    echo ERROR: KBSET letter configuration file not found: ${EKBSET_LC}
    exit 1
fi
SCRIPTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
EKBSET=${KBSET:-"$(dirname "${SCRIPTDIR}")"}
DIR=`pwd`
CONVERSION="`swipl -f ${EKBSET}/core/letters_load.pl \
      -s ${EKBSET_LC} \
      -g 'batch(print_biber_xml_conversion_script)' \
      -t halt`"
echo Calling: ${CONVERSION}
eval "${CONVERSION}"
cd ${DIR}
swipl -f ${EKBSET}/core/letters_load.pl \
      -s ${EKBSET_LC} \
      -g 'batch(gen_html_bib)' \
      -t halt
