%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%
%%%% Copyright (C) 2019 Christoph Wernhard
%%%%
%%%% This file is part of KBSET.
%%%%
%%%% KBSET is free software: you can redistribute it and/or modify
%%%% it under the terms of the GNU General Public License as published by
%%%% the Free Software Foundation, either version 3 of the License, or
%%%% (at your option) any later version.
%%%% 
%%%% KBSET is distributed in the hope that it will be useful,
%%%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%%%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%%%% GNU General Public License for more details.
%%%% 
%%%% You should have received a copy of the GNU General Public License
%%%% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- module(match_atom, [match_atom/2]).

match_atom([X], A) :-
	var(X),
	!,
	X = A.
match_atom([X,Y|Z], A) :-
	var(X),
	atom(Y),
	sub_atom(A, S, _, E, Y),
	!,
	sub_atom(A, 0, S, _, X),
	sub_atom(A, _, E, 0, A1),
	match_atom(Z, A1).
match_atom([X|Y], A) :-
	atom(X),
	sub_atom(A, 0, S, _, X),
	!,
	sub_atom(A, S, _, 0, A1),
	match_atom(Y, A1).
match_atom([], '').
