%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%
%%%% Copyright (C) 2014, 2015, 2019 Christoph Wernhard
%%%%
%%%% This file is part of KBSET.
%%%%
%%%% KBSET is free software: you can redistribute it and/or modify
%%%% it under the terms of the GNU General Public License as published by
%%%% the Free Software Foundation, either version 3 of the License, or
%%%% (at your option) any later version.
%%%% 
%%%% KBSET is distributed in the hope that it will be useful,
%%%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%%%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%%%% GNU General Public License for more details.
%%%% 
%%%% You should have received a copy of the GNU General Public License
%%%% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- module(germanutils,
	  [de_nineteenth_tentative_renewed/2]).

de_nineteenth_tentative_renewed(X, Y) :-
	  de_nineteenth_tentative_renewed(X, 0, Y).
de_nineteenth_tentative_renewed(X, Last, Y) :-
	nineteenth_map(A, B),
	( sub_atom(A, _, 1, 0, '$') ->
	  sub_atom(A, 0, _, 1, A1),
	  Rest = 0
	; A1 = A
	),  
	sub_atom(X, Start, Len, Rest, A1),
	Start >= Last,
	sub_atom(X, 0, Start, _, Before),
	Start1 is Start + Len,
	Length1 is Start1,
	sub_atom(X, Start1, _, 0, After),
	atomic_list_concat([Before, B, After], Y1),
	( de_nineteenth_tentative_renewed(Y1, Length1, Y)
	; Y = Y1
	).

nineteenth_map('th', 't').
nineteenth_map('dt', 't').
nineteenth_map('c', 'k').
nineteenth_map('c', 'z').
nineteenth_map('ue', 'ü').
nineteenth_map('ae', 'ä').
nineteenth_map('oe', 'ö').
nineteenth_map('aa', 'a').
nineteenth_map('Th', 'T').
nineteenth_map('C', 'K').
nineteenth_map('C', 'Z').
nineteenth_map('Ue', 'Ü').
nineteenth_map('Ae', 'Ä').
nineteenth_map('Oe', 'Ö').
% nineteenth_map('os', 'oß').
nineteenth_map('oo', 'o').
nineteenth_map('ee', 'e').
nineteenth_map('ss', 's').
nineteenth_map('d', 't').
nineteenth_map('ä', 'e').
nineteenth_map('dre', 'dere').
nineteenth_map('uh$', 'uhe').
nineteenth_map('ß$', 'ss').
nineteenth_map('ß$', 's').
nineteenth_map('str', 'sterr').

% nineteenth_map('Brod', 'Brot').
% nineteenth_map('gränz', 'grenz').
% nineteenth_map('Gränz', 'Grenz').
