%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%
%%%% Copyright (C) 2014, 2015, 2019 Christoph Wernhard
%%%%
%%%% This file is part of KBSET.
%%%%
%%%% KBSET is free software: you can redistribute it and/or modify
%%%% it under the terms of the GNU General Public License as published by
%%%% the Free Software Foundation, either version 3 of the License, or
%%%% (at your option) any later version.
%%%% 
%%%% KBSET is distributed in the hope that it will be useful,
%%%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%%%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%%%% GNU General Public License for more details.
%%%% 
%%%% You should have received a copy of the GNU General Public License
%%%% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- module(ner_kbset, []).

:- reexport(kbset_ner(assistance),
	    [
	     % def_context/2,
% 	     def_assistance/2,
% 	     make_effective/1,
	     update_assistance/0,
	     add_assistance_update_hook/1]).

:- reexport(kbset_base(readwrite),
	    [register_latex_command/3]).

:- reexport(kbset_base(filename),
	    [register_file_path/2,
	     register_file/2,
	     set_docdir/1]).

:- reexport(kbset_ner(wordutils),
	    [register_common_downcase/1,
	     register_common_substantive/1]).

:- reexport(kbset_ner(prepare),
	    [dep_ensure/1]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- reexport(kbset_base(gnd),
	    [install_gnd_persons_bornbefore/1,
	     install_gnd_subjects/0]).

:- reexport(kbset_base(dewiki),
	    [install_dewiki_links/0]).

:- reexport(kbset_base(wikinames),
	    [install_wikinames/0]).

:- reexport(kbset_base(geo),
	    [install_geonames/0]).

:- reexport(kbset_base(person),
	    [install_person_stuff/0,
	     register_ext_person/2]).

:- reexport(kbset_base(function),
	    [install_function_info/0]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- reexport(kbset_base(gnd_prepare),
	    [prepare_gnd_subject_name/0,
	     prepare_gnd_persons_bornbefore/1]).

:- reexport(kbset_base(geo),
	    [convert_geonames_to_prolog/0]).

:- reexport(kbset_base(wikinames),
	    [convert_wikinames_to_prolog/0]).

:- reexport(kbset_base(dewiki),
	    [prepare_dewiki_links/1]).
